<!doctype html>
<html lang="en">

<head>
  <!-- Translations -->
  {% load i18n %}
  <title>{% trans "Appointments" %}</title>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

  <!-- Loads the path to your static files -->
  {% load static %}

  <!-- styles -->
  <!-- Bootstrap 4.0.0-beta2 CSS -->
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm"
    crossorigin="anonymous">
  <!-- Bootstrap datetimepicker CSS -->
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.47/css/bootstrap-datetimepicker.css"
    integrity="sha256-b5ZKCi55IX+24Jqn638cP/q3Nb2nlx+MH/vMMqrId6k=" crossorigin="anonymous" />
  <!-- Fullcalendar -->
  <link rel='stylesheet' type='text/css' href="{% static 'fullcalendar/fullcalendar.css' %}">
  <!-- Pickadate theme default -->
  <link rel="stylesheet" type="text/css" href="{% static 'pickadate.js/lib/themes/default.css' %}">
  <link rel="stylesheet" type="text/css" href="{% static 'pickadate.js/lib/themes/default.date.css' %}">
  <link rel="stylesheet" type="text/css" href="{% static 'pickadate.js/lib/themes/default.time.css' %}">
  <!-- Static CSS -->
  <link rel="stylesheet" type="text/css" href="{% static 'homepage/style.css' %}">

  <!-- scripts (in the head of html, at the suggestion from fullcalendar.io)-->
  <!-- jQuery -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.js" integrity="sha256-DZAnKJ/6XZ9si04Hgrsxu/8s717jcIzLy3oi35EouyE="
    crossorigin="anonymous"></script>
  <!-- Moment.js with locales -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.19.3/moment-with-locales.js" integrity="sha256-KDB8QtKomWcCR2Ln2Ald1qDs2pvBiVqbZ+PxGzJLHj8="
    crossorigin="anonymous"></script>
  <!-- Popper.js -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js" integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
    crossorigin="anonymous"></script>
  <!-- Bootstrap 4.0.0 Js-->
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js" integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
    crossorigin="anonymous"></script>
  <!-- Bootstrap datetimepicker JS -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.17.47/js/bootstrap-datetimepicker.min.js"
    integrity="sha256-5YmaxAwMjIpMrVlK84Y/+NjCpKnFYa8bWWBbUHSBGfU=" crossorigin="anonymous"></script>
  <!-- Fullcalendar -->
  <script src="{% static 'fullcalendar/lib/moment.min.js' %}"></script>
  <script src="{% static 'fullcalendar/fullcalendar.js' %}"></script>
  <!-- FontAwesome -->
  <script defer src="https://use.fontawesome.com/releases/v5.0.1/js/all.js"></script>
  <!-- jQuery Validation Plugin -->
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.17.0/jquery.validate.js"></script>

  <script>
    // Here get the variables needed for javascript from django
    let clientsPks = "{{ clients_pks }}";
    let clientsNames = "{{ clients_names }}";
    let clientsDates = "{{ clients_dates }}";
    let business_hours_start = "{{ business_hours_start }}";
    let business_hours_end = "{{ business_hours_end }}";
    let break_day = "{{ break_day }}"
    let break_begin = "{{ break_begin }}";
    let break_end = "{{ break_end }}";
    let breaksDayForDropdown = "{{ day_of_break }}";
    let clientServices = "{{ clientServices }}";
    let clientServicesDuration = "{{ clientServicesDuration }}";
    let lang = "{{ lang }}";      
  </script>

  <!-- Pickadate js -->
  <script src="{% static 'pickadate.js/lib/picker.js' %}"></script>
  <script src="{% static 'pickadate.js/lib/picker.date.js' %}"></script>
  <script src="{% static 'pickadate.js/lib/picker.time.js' %}"></script>

  <!-- Static JS -->
  <script src="{% static 'homepage/base.js' %}"></script>

</head>

<body>
  <nav class="navbar navbar-expand-md navbar-dark bg-dark">

    <div class="navbar-brand" id="logo">Logo</div>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
      aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item">
          <a class="nav-link" href="{% url 'homepage:homepage' %}">{% trans "Calendar" %}
            <span class="sr-only">(current)</span>
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'services:services' %}">{% trans "Services" %}</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'providers:providers' %}">{% trans "Providers" %}</a>
        </li>
        <li class="nav-item">
          <a class="nav-link" href="{% url 'clients:clients' %}">{% trans "Clients" %}</a>
        </li>
        {% trans 'Search' as search %}
        <li class="nav-item">
          <form class="form-inline my-lg-0" role="search" method="get" action="{% url 'homepage:search-results' %}">
            <input class="form-control mr-sm-2" type="search" placeholder="{{ search }}" aria-label="{{ search }}" name="q">
            <button class="btn btn-outline-success my-2 my-sm-0" type="submit">{{ search }}</button>
          </form>
        </li>
      </ul>
      {% if user.is_authenticated %}
      <div class="dropdown">
        <button class="btn btn-outline-success dropdown-toggle" type="button" id="dropdown-user-button" data-toggle="dropdown" aria-haspopup="true"
          aria-expanded="false">
          {{ user }}
        </button>
        <div class="dropdown-menu" id="dropdown-user" aria-labelledby="dropdown-user-button">
          <a class="dropdown-item" href="{% url 'accounts:user-update' user.pk %}">{% trans "Account settings" %}</a>
          <div class="dropdown-divider"></div>
          <a class="nav-link" href="{% url 'accounts:logout' %}" id="logout">
            <i class="fas fa-power-off fa-fw"></i> {% trans "Logout" %}
          </a>
        </div>
      </div>
      {% endif %}
    </div>

  </nav>

  <div class="container-fixed">
    {% block content %} {% endblock %}
  </div>



</body>

</html>